## cairorender cairorender — Encodes streams using Cairo |

## Types and Values

struct | GstCairoRender

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstCairoRender

## Description

## Synopsis

### Element Information

plugin | cairo
author | Lutz Mueller <lutz@topfrose.de>
class | Codec/Encoder

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)65280, green_mask=(int)16711680, blue_mask=(int)-16777216, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)32, depth=(int)32, endianness=(int)4321, red_mask=(int)65280, green_mask=(int)16711680, blue_mask=(int)-16777216, alpha_mask=(int)255, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-yuv, format=(fourcc)Y800, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-gray, bpp=(int)8, depth=(int)8, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| image/png, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | application/pdf, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]
| application/postscript, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]
| image/svg+xml, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]
| image/png, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstCairoRender

    struct GstCairoRender;